2010-12-04 [paul]	0.29.0

	0.29.0 released

2010-11-21 [colin]	0.28.0cvs1

	* src/claws.def
		Win32 build fix

2010-11-19 [paul]	0.28.0

	0.28.0 released

2010-11-19 [paul]	0.27.0cvs4

	* po/ca.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/id.po
	* po/pt_BR.po
	* po/sk.po
		updated by Miquel Oliete,  Ricardo Mones,
		Flammie Pirinen, wwp, MSulchan Darmawan,
		Frederico Goncalves Guimaraes, Slavko

2010-10-24 [colin]	0.27.0cvs3

	* libgtkhtml/view/htmlview.c
		Undeprecate

2010-10-18 [colin]	0.27.0cvs2

	* libgtkhtml/layout/html/htmlboxembeddedentry.c
		Undeprecate

2010-05-04 [colin]	0.27.0cvs1

	* src/claws.def
		Fix win32 build

2010-05-01 [paul]	0.27

	0.27 released

2010-04-30 [paul]	0.26.0cvs4

	* po/fi.po
	* po/sk.po
		updated by Flammie Pirinen, Slavko

2010-03-25 [pawel]	0.26.0cvs3

	* libgtkhtml/a11y/Makefile.am
	* libgtkhtml/a11y/htmlviewaccessible.c
		Complete previous commit, fix build with --enable-accessibility

2010-03-24 [pawel]	0.26.0cvs2

	* commitHelper
		- Portability fixes
		- Add my name
	* libgtkhtml/layout/html/Makefile.am
	* libgtkhtml/layout/html/htmlboxembedded.c
	* libgtkhtml/layout/html/htmlembedded.c
	* libgtkhtml/view/Makefile.am
	* libgtkhtml/view/htmlview.c
	* src/gtkhtml2_viewer.c
		Fix build with GTK+ 2.19

2010-02-10 [colin]	0.26.0cvs1

	* libgtkhtml/layout/htmlboxtext.c
		Fix bug 2103, 'Crash when clicking on a message'
		Got workaround function from gtkhtml3.14.

2010-01-08 [paul]	0.26

	0.26 released

2010-01-08 [paul]	0.25.0cvs2

	* configure.ac
	* po/nl.po
		added by Marcel Pol
	* po/ca.po
	* po/cs.po
	* po/es.po
	* po/fi.po
	* po/id.po
	* po/ja.po
	* po/sk.po
		updated by Miquel Oliete, David Vachulka, Ricrado Mones Lastra,
		Tommi Pirinen, MSulchan Darmawan, kazken3, Slavko

2009-10-20 [colin]	0.25.0cvs1

	* libgtkhtml/css/html.css.h
		Add a default CSS for blockquote type "cite".
		Fixes Thunderbird quoting; patch by Jean Diraison.

2009-10-09 [paul]	0.25

	0.25 released


2009-07-04 [colin]	0.24.0cvs2

	* src/gtkhtml2_viewer.c
		Fix indentation (Tabs not spaces)

2009-07-04 [iwkse]	0.24.0cvs1

	* src/gtkhtml2_viewer.c
            Fix a potential leak in case of error.

2009-07-03 [paul]	0.24

	0.24 released

2009-07-03 [paul]	0.23.0cvs5

	* configure.ac
	* po/id.po
		added by MSulchan Darmawan
	* po/es.po
	* po/fi.po
	* po/hu.po
	* po/it.po
	* po/ru.po
		updated by Ricardo Mones, Tommi Pirinen, Pader Rezso,
		Andrea Spadaccini, and Aleksei Miheev

2009-07-01 [colin]	0.23.0cvs4

	* libgtkhtml/css/cssdebug.c
	* libgtkhtml/css/cssparser.c
	* libgtkhtml/layout/html/htmlboxembeddedimage.c
	* libgtkhtml/layout/html/htmlboximage.c
	* libgtkhtml/view/htmlview.c
		Fix bug 1939, ' Error parsing CSS in HTML message 
		causes claws-mail to quit': don't use g_error...

2009-06-29 [colin]	0.23.0cvs3

	* libgtkhtml/layout/htmlboxtext.c
		Fix bug 1937, 'another crasher in gtkhtml plugin'

2009-03-08 [paul]	0.23.0cvs2

	* configure.ac
	* po/ja.po
		add Japanese translation, submitted by kazken3

2009-03-06 [colin]	0.23.0cvs1

	* src/claws.def
		Fix win32 symbol lookup

2009-03-06 [paul]	0.23.0

	0.23 released

2009-03-06 [paul]	0.22.0cvs9

	* po/cs.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/pt_BR.po
		updated by David Vachulka, Flammie Pirinen, Colin Leroy,
		Pader Rezso, and Frederico Goncalves Guimaraes

2009-02-23 [colin]	0.22.0cvs8

	* libgtkhtml/graphics/htmlstylepainter.c
		Fix copy/paste error

2009-02-23 [colin]	0.22.0cvs7

	* libgtkhtml/document/htmldocument.c
	* libgtkhtml/graphics/htmlstylepainter.c
		Fix missing NULL checks

2009-02-22 [colin]	0.22.0cvs6

	* libgtkhtml/css/cssparser.c
	* libgtkhtml/layout/htmlboxtext.c
	* libgtkhtml/layout/htmlstyleinherited.c
	* libgtkhtml/layout/htmlstyleoutline.c
	* libgtkhtml/util/rfc1738.c
	* src/gtkhtml2_viewer.c
		Some coverity fixes

2009-02-01 [paul]	0.22.0cvs5

	* src/gtkhtml2_prefs.c
		fix sensitivity

2009-02-01 [paul]	0.22.0cvs4

	* src/gtkhtml2_prefs.c
		a few more improvements to the english

2009-02-01 [paul]	0.22.0cvs3

	* src/gtkhtml2_prefs.c
		a few improvements to the english

2009-01-25 [colin]	0.22.0cvs2

	* src/gtkhtml2_viewer.c
		Restore focus after clicking on links
		Patch by Pawel

2008-12-30 [paul]	0.22.0cvs1

	* src/gtkhtml2_viewer.c
		no need to prematurely trim the uri in the statusbar

2008-12-19 [paul]	0.22.0

	0.22 released

2008-12-19 [paul]	0.21.0cvs7

	* configure.ac
	* po/cs.po
		added by David Vachulka
	* po/ru.po
		updated by Aleksei Miheev

2008-12-07 [paul]	0.21.0cvs6

	* configure.ac
		clean up check for curl

2008-12-07 [paul]	0.21.0cvs5

	* configure.ac
		prohibit gcc4's signedness warning

2008-12-02 [colin]	0.21.0cvs4

	* libgtkhtml/graphics/htmlimagefactory.c
		Better fix for 0.21.0cvs1 - don't use
		weak pointers to objects more short-
		lived than the image, and don't add
		an extra ref (which caused heavier 
		memory usage as images were never
		freed)

2008-11-28 [colin]	0.21.0cvs3

	* libgtkhtml/graphics/htmlimagefactory.c
		Fix deferred loading of image (where the
		default "broken" image was ref'ed as the
		real one)

2008-11-28 [colin]	0.21.0cvs2

	* po/fr.po
		Update

2008-11-26 [colin]	0.21.0cvs1

	* src/gtkhtml2_viewer.c
		Silence valgrind (uninitialized
		reads)
	* libgtkhtml/graphics/htmlimagefactory.c
		Fix dangling pointer on image
		handling - probably fixes bug 1767,
		'claws-mail segfaults quite often 
		when selecting items in rssyl'

2008-10-10 [paul]	0.21.0

	0.21 released

2008-10-04 [colin]	0.20.0cvs2

	* src/claws.def
		Fix symbols

2008-10-04 [colin]	0.20.0cvs1

	* src/gtkhtml2_viewer.c
		Win32: set translation dir

2008-10-03 [paul]	0.20.0

	0.20 released

2008-10-03 [paul]	0.19.0cvs12

	* configure.ac
	* po/ru.po
		added by Aleksei Miheev
	* po/ca.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
		updated by Miquel Oliete, Flammie Pirinen,
		Colin Leroy, Pader Rezo

2008-09-27 [colin]	0.19.0cvs11

	* src/gtkhtml2_viewer.c
		Windows port

2008-09-26 [colin]	0.19.0cvs10

	* configure.ac
	* src/Makefile.am
	* src/claws.def
	* src/gtkhtml2_viewer.c
	* src/plugin.def
	* src/version.rc
		Prepare for Win32 port

2008-09-17 [colin]	0.19.0cvs9

	* src/gtkhtml2_viewer.c
		Fix off-by-one; maybe fixes bug 1719, 'cm crashes 
		on touching html message'

2008-09-09 [paul]	0.19.0cvs8

	* src/gtkhtml2_viewer.c
		fix build with GTK+ 2.13.0 or lower

2008-09-09 [colin]	0.19.0cvs7

	* src/gtkhtml2_viewer.c
	* libgtkhtml/gtkhtmlcontext.c
	* libgtkhtml/gtkhtmlcontext.h
	* libgtkhtml/a11y/htmlboxaccessible.h
	* libgtkhtml/a11y/htmlviewaccessible.h
	* libgtkhtml/document/htmldocument.h
	* libgtkhtml/document/htmlparser.c
	* libgtkhtml/document/htmlparser.h
	* libgtkhtml/graphics/htmlpainter.c
	* libgtkhtml/layout/html/htmlboxembedded.c
	* libgtkhtml/layout/html/htmlboximage.c
	* libgtkhtml/test/testgtkhtml.c
	* libgtkhtml/view/htmlview.c
	* libgtkhtml/view/htmlview.h
		Undeprecate for GTK+ 2.14

2008-08-21 [colin]	0.19.0cvs6

	* libgtkhtml/css/cssmatcher.c
		Fix crasher on background image url(none)
	* libgtkhtml/layout/html/htmlboximage.c
		Maybe fix strange crash
		

2008-08-17 [colin]	0.19.0cvs5

	* src/gtkhtml2_viewer.c
		Warning fix

2008-08-07 [colin]	0.19.0cvs4

	* src/gtkhtml2_viewer.c
	* libgtkhtml/dom/html/dom-htmlselectelement.c
	* libgtkhtml/graphics/htmlcolor.c
	* libgtkhtml/graphics/htmlgdkpainter.c
	* libgtkhtml/layout/htmllinebox.c
	* libgtkhtml/layout/html/htmlboxembeddedentry.c
	* libgtkhtml/layout/html/htmlboxembeddedradio.c
	* libgtkhtml/layout/html/htmlboxembeddedselect.c
	* libgtkhtml/layout/html/htmlboxembeddedtextarea.c
	* libgtkhtml/view/htmlview.c
		Undeprecate

2008-07-31 [colin]	0.19.0cvs3

	* src/gtkhtml2_viewer.c
		Get rid of GtkItemFactory

2008-07-23 [colin]	0.19.0cvs2

	* src/gtkhtml2_viewer.c
		Fix bug 1677, 'Doesn't render HTML from match.com 
		correctly'. Fix offsets when injecting the Charset
		header.

2008-07-06 [paul]	0.19.0cvs1

	* libgtkhtml/css/cssparser.h
		fix compilation on FreeBSD 4.8-RELEASE
		Thanks to Michael Hughes

2008-06-27 [paul]	0.19.0

	0.19 released

2008-06-27 [paul]	0.18.0cvs6

	* po/es.po
	* po/fi.po
		updated by Ricardo Mones and Flammie Pirinen

2008-05-12 [wwp]	0.18.0cvs5

	* src/gtkhtml2_prefs.c
		Fix storing of translated string "Any" in plugins prefs
		(whitelisting).

2008-05-02 [paul]	0.18.0cvs4

	* po/pl.po
		complete last commit

2008-05-02 [paul]	0.18.0cvs3

	* po/pl.po
		fix bug 1592 'Wrong translation'

2008-04-29 [colin]	0.18.0cvs2

	* libgtkhtml/dom/html/Makefile.in ** REMOVE **
		This shouldn't be in CVS

2008-04-18 [colin]	0.18.0cvs1

	* src/gtkhtml2_viewer.c
		Use claws_unlink instead of g_unlink

2008-04-18 [paul]	0.18.0

	0.18.0 released

	* po/fi.po
	* po/fr.po
	* po/it.po
		updated by Flammie Pirinen, wwp and Andrea Spadaccini

2008-03-21 [colin]	0.17.2cvs1

	* configure.ac
		Bump version following stable release 3.3.1 :)

2008-03-15 [colin]	0.17.1cvs6

	* src/gtkhtml2_viewer.c
		Fix bug 1182, 'charset in incomplete html messages'
		Figure out better if/where to inject the charset in
		headers.

2008-03-12 [colin]	0.17.1cvs5

	* libgtkhtml/layout/htmlboxtext.c
		Fix warning

2008-02-28 [colin]	0.17.1cvs4

	* libgtkhtml/document/htmlparser.c
		Remove raw printf

2008-02-20 [paul]	0.17.1cvs3

	* src/gtkhtml2_viewer.c
		hide noticeview when clearing viewer

2008-02-11 [colin]	0.17.1cvs2

	* libgtkhtml/Makefile.am
	* libgtkhtml/css/Makefile.am
	* libgtkhtml/document/Makefile.am
	* libgtkhtml/dom/Makefile.am
	* libgtkhtml/dom/core/Makefile.am
	* libgtkhtml/dom/events/Makefile.am
	* libgtkhtml/dom/html/Makefile.am
	* libgtkhtml/dom/html/Makefile.in
	* libgtkhtml/dom/traversal/Makefile.am
	* libgtkhtml/dom/views/Makefile.am
	* libgtkhtml/graphics/Makefile.am
	* libgtkhtml/layout/Makefile.am
	* libgtkhtml/layout/html/Makefile.am
	* libgtkhtml/util/Makefile.am
	* libgtkhtml/view/Makefile.am
		And don't install includes

2008-02-11 [colin]	0.17.1cvs1

	* AUTHORS
	* Makefile.am
	* configure.ac
	* libgtkhtml/.cvsignore
	* libgtkhtml/Makefile.am
	* libgtkhtml/gtkhtml.h
	* libgtkhtml/gtkhtmlcontext.c
	* libgtkhtml/gtkhtmlcontext.h
	* libgtkhtml/a11y/.cvsignore
	* libgtkhtml/a11y/Makefile.am
	* libgtkhtml/a11y/htmlaccessiblefactory.h
	* libgtkhtml/a11y/htmlboxaccessible.c
	* libgtkhtml/a11y/htmlboxaccessible.h
	* libgtkhtml/a11y/htmlboxblockaccessible.c
	* libgtkhtml/a11y/htmlboxblockaccessible.h
	* libgtkhtml/a11y/htmlboxblocklinkaccessible.c
	* libgtkhtml/a11y/htmlboxblocklinkaccessible.h
	* libgtkhtml/a11y/htmlboxblocktextaccessible.c
	* libgtkhtml/a11y/htmlboxblocktextaccessible.h
	* libgtkhtml/a11y/htmlboxembeddedaccessible.c
	* libgtkhtml/a11y/htmlboxembeddedaccessible.h
	* libgtkhtml/a11y/htmlboxtableaccessible.c
	* libgtkhtml/a11y/htmlboxtableaccessible.h
	* libgtkhtml/a11y/htmlboxtextaccessible.c
	* libgtkhtml/a11y/htmlboxtextaccessible.h
	* libgtkhtml/a11y/htmlboxtextlinkaccessible.c
	* libgtkhtml/a11y/htmlboxtextlinkaccessible.h
	* libgtkhtml/a11y/htmllinkaccessible.c
	* libgtkhtml/a11y/htmllinkaccessible.h
	* libgtkhtml/a11y/htmlviewaccessible.c
	* libgtkhtml/a11y/htmlviewaccessible.h
	* libgtkhtml/a11y/htmlviewaccessiblefactory.c
	* libgtkhtml/a11y/htmlviewaccessiblefactory.h
	* libgtkhtml/css/.cvsignore
	* libgtkhtml/css/Makefile.am
	* libgtkhtml/css/cssdebug.c
	* libgtkhtml/css/cssdebug.h
	* libgtkhtml/css/cssmatcher.c
	* libgtkhtml/css/cssmatcher.h
	* libgtkhtml/css/cssparser.c
	* libgtkhtml/css/cssparser.h
	* libgtkhtml/css/cssstylesheet.c
	* libgtkhtml/css/cssstylesheet.h
	* libgtkhtml/css/cssvalue.c
	* libgtkhtml/css/cssvalue.h
	* libgtkhtml/css/html.css.h
	* libgtkhtml/css/html4.css
	* libgtkhtml/css/test-css-parser.c
	* libgtkhtml/document/.cvsignore
	* libgtkhtml/document/Makefile.am
	* libgtkhtml/document/htmldocument.c
	* libgtkhtml/document/htmldocument.h
	* libgtkhtml/document/htmlfocusiterator.c
	* libgtkhtml/document/htmlfocusiterator.h
	* libgtkhtml/document/htmlparser.c
	* libgtkhtml/document/htmlparser.h
	* libgtkhtml/document/test-parser.c
	* libgtkhtml/dom/.cvsignore
	* libgtkhtml/dom/Makefile.am
	* libgtkhtml/dom/dom-types.h
	* libgtkhtml/dom/dom.h
	* libgtkhtml/dom/core/.cvsignore
	* libgtkhtml/dom/core/Makefile.am
	* libgtkhtml/dom/core/dom-attr.c
	* libgtkhtml/dom/core/dom-attr.h
	* libgtkhtml/dom/core/dom-characterdata.c
	* libgtkhtml/dom/core/dom-characterdata.h
	* libgtkhtml/dom/core/dom-comment.c
	* libgtkhtml/dom/core/dom-comment.h
	* libgtkhtml/dom/core/dom-core-utils.c
	* libgtkhtml/dom/core/dom-core-utils.h
	* libgtkhtml/dom/core/dom-core.c
	* libgtkhtml/dom/core/dom-core.h
	* libgtkhtml/dom/core/dom-document.c
	* libgtkhtml/dom/core/dom-document.h
	* libgtkhtml/dom/core/dom-documenttype.c
	* libgtkhtml/dom/core/dom-documenttype.h
	* libgtkhtml/dom/core/dom-domimplementation.c
	* libgtkhtml/dom/core/dom-domimplementation.h
	* libgtkhtml/dom/core/dom-element.c
	* libgtkhtml/dom/core/dom-element.h
	* libgtkhtml/dom/core/dom-entity.c
	* libgtkhtml/dom/core/dom-entity.h
	* libgtkhtml/dom/core/dom-namednodemap.c
	* libgtkhtml/dom/core/dom-namednodemap.h
	* libgtkhtml/dom/core/dom-node.c
	* libgtkhtml/dom/core/dom-node.h
	* libgtkhtml/dom/core/dom-nodelist.c
	* libgtkhtml/dom/core/dom-nodelist.h
	* libgtkhtml/dom/core/dom-string.c
	* libgtkhtml/dom/core/dom-text.c
	* libgtkhtml/dom/core/dom-text.h
	* libgtkhtml/dom/core/test-core.c
	* libgtkhtml/dom/css/.cvsignore
	* libgtkhtml/dom/css/Makefile.am
	* libgtkhtml/dom/css/dom-cssrule.c
	* libgtkhtml/dom/css/dom-cssrule.h
	* libgtkhtml/dom/css/dom-cssrulelist.c
	* libgtkhtml/dom/css/dom-cssrulelist.h
	* libgtkhtml/dom/css/dom-cssstyledeclaration.c
	* libgtkhtml/dom/css/dom-cssstyledeclaration.h
	* libgtkhtml/dom/css/dom-cssstylerule.c
	* libgtkhtml/dom/css/dom-cssstylerule.h
	* libgtkhtml/dom/css/dom-cssstylesheet.c
	* libgtkhtml/dom/css/dom-cssstylesheet.h
	* libgtkhtml/dom/css/dom-cssvalue.c
	* libgtkhtml/dom/css/dom-cssvalue.h
	* libgtkhtml/dom/events/.cvsignore
	* libgtkhtml/dom/events/Makefile.am
	* libgtkhtml/dom/events/dom-documentevent.c
	* libgtkhtml/dom/events/dom-documentevent.h
	* libgtkhtml/dom/events/dom-event-utils.c
	* libgtkhtml/dom/events/dom-event-utils.h
	* libgtkhtml/dom/events/dom-event.c
	* libgtkhtml/dom/events/dom-event.h
	* libgtkhtml/dom/events/dom-eventlistener.c
	* libgtkhtml/dom/events/dom-eventlistener.h
	* libgtkhtml/dom/events/dom-events.c
	* libgtkhtml/dom/events/dom-events.h
	* libgtkhtml/dom/events/dom-eventtarget.c
	* libgtkhtml/dom/events/dom-eventtarget.h
	* libgtkhtml/dom/events/dom-mouseevent.c
	* libgtkhtml/dom/events/dom-mouseevent.h
	* libgtkhtml/dom/events/dom-mutationevent.c
	* libgtkhtml/dom/events/dom-mutationevent.h
	* libgtkhtml/dom/events/dom-styleevent.c
	* libgtkhtml/dom/events/dom-styleevent.h
	* libgtkhtml/dom/events/dom-uievent.c
	* libgtkhtml/dom/events/dom-uievent.h
	* libgtkhtml/dom/html/.cvsignore
	* libgtkhtml/dom/html/Makefile.am
	* libgtkhtml/dom/html/Makefile.in
	* libgtkhtml/dom/html/dom-htmlanchorelement.c
	* libgtkhtml/dom/html/dom-htmlanchorelement.h
	* libgtkhtml/dom/html/dom-htmlcollection.c
	* libgtkhtml/dom/html/dom-htmlcollection.h
	* libgtkhtml/dom/html/dom-htmlelement.c
	* libgtkhtml/dom/html/dom-htmlelement.h
	* libgtkhtml/dom/html/dom-htmlformelement.c
	* libgtkhtml/dom/html/dom-htmlformelement.h
	* libgtkhtml/dom/html/dom-htmlinputelement.c
	* libgtkhtml/dom/html/dom-htmlinputelement.h
	* libgtkhtml/dom/html/dom-htmlobjectelement.c
	* libgtkhtml/dom/html/dom-htmlobjectelement.h
	* libgtkhtml/dom/html/dom-htmloptionelement.c
	* libgtkhtml/dom/html/dom-htmloptionelement.h
	* libgtkhtml/dom/html/dom-htmlselectelement.c
	* libgtkhtml/dom/html/dom-htmlselectelement.h
	* libgtkhtml/dom/html/dom-htmltextareaelement.c
	* libgtkhtml/dom/html/dom-htmltextareaelement.h
	* libgtkhtml/dom/stylesheets/.cvsignore
	* libgtkhtml/dom/stylesheets/Makefile.am
	* libgtkhtml/dom/stylesheets/dom-stylesheet.c
	* libgtkhtml/dom/stylesheets/dom-stylesheet.h
	* libgtkhtml/dom/traversal/.cvsignore
	* libgtkhtml/dom/traversal/Makefile.am
	* libgtkhtml/dom/traversal/dom-documenttraversal.c
	* libgtkhtml/dom/traversal/dom-documenttraversal.h
	* libgtkhtml/dom/traversal/dom-nodefilter.c
	* libgtkhtml/dom/traversal/dom-nodefilter.h
	* libgtkhtml/dom/traversal/dom-nodeiterator.c
	* libgtkhtml/dom/traversal/dom-nodeiterator.h
	* libgtkhtml/dom/traversal/dom-traversal-utils.c
	* libgtkhtml/dom/traversal/dom-traversal-utils.h
	* libgtkhtml/dom/views/.cvsignore
	* libgtkhtml/dom/views/Makefile.am
	* libgtkhtml/dom/views/dom-abstractview.c
	* libgtkhtml/dom/views/dom-abstractview.h
	* libgtkhtml/dom/views/dom-documentview.c
	* libgtkhtml/dom/views/dom-documentview.h
	* libgtkhtml/graphics/.cvsignore
	* libgtkhtml/graphics/Makefile.am
	* libgtkhtml/graphics/htmlcolor.c
	* libgtkhtml/graphics/htmlcolor.h
	* libgtkhtml/graphics/htmlcolorfactory.c
	* libgtkhtml/graphics/htmlcolorfactory.h
	* libgtkhtml/graphics/htmlfontspecification.c
	* libgtkhtml/graphics/htmlfontspecification.h
	* libgtkhtml/graphics/htmlgdkpainter.c
	* libgtkhtml/graphics/htmlgdkpainter.h
	* libgtkhtml/graphics/htmlimage.c
	* libgtkhtml/graphics/htmlimage.h
	* libgtkhtml/graphics/htmlimagefactory.c
	* libgtkhtml/graphics/htmlimagefactory.h
	* libgtkhtml/graphics/htmlpainter.c
	* libgtkhtml/graphics/htmlpainter.h
	* libgtkhtml/graphics/htmlstylepainter.c
	* libgtkhtml/graphics/htmlstylepainter.h
	* libgtkhtml/layout/.cvsignore
	* libgtkhtml/layout/Makefile.am
	* libgtkhtml/layout/htmlbox.c
	* libgtkhtml/layout/htmlbox.h
	* libgtkhtml/layout/htmlboxblock.c
	* libgtkhtml/layout/htmlboxblock.h
	* libgtkhtml/layout/htmlboxfactory.c
	* libgtkhtml/layout/htmlboxfactory.h
	* libgtkhtml/layout/htmlboxinline.c
	* libgtkhtml/layout/htmlboxinline.h
	* libgtkhtml/layout/htmlboxlistitem.c
	* libgtkhtml/layout/htmlboxlistitem.h
	* libgtkhtml/layout/htmlboxroot.c
	* libgtkhtml/layout/htmlboxroot.h
	* libgtkhtml/layout/htmlboxtable.c
	* libgtkhtml/layout/htmlboxtable.h
	* libgtkhtml/layout/htmlboxtablecaption.c
	* libgtkhtml/layout/htmlboxtablecaption.h
	* libgtkhtml/layout/htmlboxtablecell.c
	* libgtkhtml/layout/htmlboxtablecell.h
	* libgtkhtml/layout/htmlboxtablerow.c
	* libgtkhtml/layout/htmlboxtablerow.h
	* libgtkhtml/layout/htmlboxtablerowgroup.c
	* libgtkhtml/layout/htmlboxtablerowgroup.h
	* libgtkhtml/layout/htmlboxtext.c
	* libgtkhtml/layout/htmlboxtext.h
	* libgtkhtml/layout/htmllinebox.c
	* libgtkhtml/layout/htmllinebox.h
	* libgtkhtml/layout/htmloldstyle.h
	* libgtkhtml/layout/htmlrelayout.c
	* libgtkhtml/layout/htmlrelayout.h
	* libgtkhtml/layout/htmlstyle.c
	* libgtkhtml/layout/htmlstyle.h
	* libgtkhtml/layout/htmlstylebackground.c
	* libgtkhtml/layout/htmlstyleborder.c
	* libgtkhtml/layout/htmlstylebox.c
	* libgtkhtml/layout/htmlstyleinherited.c
	* libgtkhtml/layout/htmlstyleoutline.c
	* libgtkhtml/layout/htmlstylesurround.c
	* libgtkhtml/layout/html/.cvsignore
	* libgtkhtml/layout/html/Makefile.am
	* libgtkhtml/layout/html/htmlboxembedded.c
	* libgtkhtml/layout/html/htmlboxembedded.h
	* libgtkhtml/layout/html/htmlboxembeddedbutton.c
	* libgtkhtml/layout/html/htmlboxembeddedbutton.h
	* libgtkhtml/layout/html/htmlboxembeddedcheckbox.c
	* libgtkhtml/layout/html/htmlboxembeddedcheckbox.h
	* libgtkhtml/layout/html/htmlboxembeddedentry.c
	* libgtkhtml/layout/html/htmlboxembeddedentry.h
	* libgtkhtml/layout/html/htmlboxembeddedimage.c
	* libgtkhtml/layout/html/htmlboxembeddedimage.h
	* libgtkhtml/layout/html/htmlboxembeddedobject.c
	* libgtkhtml/layout/html/htmlboxembeddedobject.h
	* libgtkhtml/layout/html/htmlboxembeddedradio.c
	* libgtkhtml/layout/html/htmlboxembeddedradio.h
	* libgtkhtml/layout/html/htmlboxembeddedselect.c
	* libgtkhtml/layout/html/htmlboxembeddedselect.h
	* libgtkhtml/layout/html/htmlboxembeddedtextarea.c
	* libgtkhtml/layout/html/htmlboxembeddedtextarea.h
	* libgtkhtml/layout/html/htmlboxform.c
	* libgtkhtml/layout/html/htmlboxform.h
	* libgtkhtml/layout/html/htmlboximage.c
	* libgtkhtml/layout/html/htmlboximage.h
	* libgtkhtml/layout/html/htmlembedded.c
	* libgtkhtml/layout/html/htmlembedded.h
	* libgtkhtml/test/testgtkhtml.c
	* libgtkhtml/util/.cvsignore
	* libgtkhtml/util/Makefile.am
	* libgtkhtml/util/htmlatomlist.c
	* libgtkhtml/util/htmlatomlist.h
	* libgtkhtml/util/htmlglobalatomlist.h
	* libgtkhtml/util/htmlglobalatoms.c
	* libgtkhtml/util/htmlglobalatoms.h
	* libgtkhtml/util/htmlmarshal.list
	* libgtkhtml/util/htmlstream.c
	* libgtkhtml/util/htmlstream.h
	* libgtkhtml/util/htmlstreambuffer.c
	* libgtkhtml/util/htmlstreambuffer.h
	* libgtkhtml/util/rfc1738.c
	* libgtkhtml/util/rfc1738.h
	* libgtkhtml/util/test-atoms.c
	* libgtkhtml/view/.cvsignore
	* libgtkhtml/view/Makefile.am
	* libgtkhtml/view/htmlevent.c
	* libgtkhtml/view/htmlevent.h
	* libgtkhtml/view/htmlselection.c
	* libgtkhtml/view/htmlselection.h
	* libgtkhtml/view/htmlview.c
	* libgtkhtml/view/htmlview.h
	* src/Makefile.am
	* src/gtkhtml2_viewer.c
		Ship with a static libgtkhtml2

2008-02-08 [paul]	0.17.1

	0.17.1 released

2008-02-08 [paul]	0.17.0cvs2

	* po/fi.po
	* po/it.po
	* po/zh_CN.po
		updated by Flammie Pirinen, Andrea Spadaccini and
		Ralph Young

2008-01-21 [colin]	0.17.0cvs1

	* src/gtkhtml2_viewer.c
		Fix bug 1478, 'Wrong pthread_create calls all
                over the place'. Thanks to Christian Cornelssen

2007-12-17 [paul]	0.17.0

	0.17.0 released

2007-12-17 [paul]	0.16.0cvs7

	* po/hu.po
	* po/it.po
	* po/pt_BR.po
		updated by Pader Rezso, Andrea Spadaccini and
		Frederico Goncalves Guimaraes

2007-12-17 [mones]	0.16.0cvs6

	* po/es.po
		Updated Spanish translation for 3.2.0 release

2007-12-06 [colin]	0.16.0cvs5

	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_viewer.c
		Fix leak - thanks to Holger

2007-11-21 [colin]	0.16.0cvs4

	* src/gtkhtml2_viewer.c
		Use xdg-open if possible

2007-11-20 [colin]	0.16.0cvs3

	* configure.ac
	* src/gtkhtml2_viewer.c
		Upgrade Claws requirement

2007-11-20 [colin]	0.16.0cvs2

	* src/gtkhtml2_viewer.c
		Fix a leak
		Add -T to html2ps call when images shouldn't be
		loaded.

2007-11-20 [colin]	0.16.0cvs1

	* configure.ac
	* src/Makefile.am
	* src/gtkhtml2_viewer.c
		Add printing support for GTK+ >= 2.10, only for Unix.
		Requires html2ps.

2007-11-19 [paul]	0.16.0

	0.16.0 released

2007-11-19 [paul]	0.15.2cvs9

	* po/es.po
	* po/fi.po
	* po/hu.po
	* po/it.po
	* po/pt_BR.po
	* po/sk.po
	* po/zh_CN.po
		updated by Ricardo Mones Lastra, Flammie Pirinen,
		Pader Rezso, Andrea Spadaccini, Frederico Goncalves
		Guimaraes, Andrej Kacian, and Ralph Young

2007-10-28 [colin]	0.15.2cvs8

	* src/gtkhtml2_prefs.c
		Fix sensitivity when enabling image loading

2007-10-28 [colin]	0.15.2cvs7

	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_prefs.h
	* src/gtkhtml2_viewer.c
		Add addressbook-based whitelisting for loading
		remote images

2007-10-04 [colin]	0.15.2cvs6

	* src/gtkhtml2_prefs.c
		Verify success on writes

2007-10-03 [colin]	0.15.2cvs5

	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_viewer.c
		Fix warnings

2007-10-03 [colin]	0.15.2cvs4

	* configure.ac
		Fix missing type checks

2007-09-20 [paul]	0.15.2cvs3

	* po/it.po
		updated by Andrea Spadaccini

2007-09-03 [colin]	0.15.2cvs2

	* src/gtkhtml2_viewer.c
		Add Zoom in/out to context menu

2007-09-03 [colin]	0.15.2cvs1

	* po/zh_CN.po
		Fix breakage

2007-09-03 [paul]	0.15.2

	0.15.2 released

2007-09-03 [paul]	0.15.1cvs6

	* po/ca.po
	* po/es.po
	* po/fi.po
	* po/hu.po
	* po/zh_CN.po
		updated by Miquel Oliete, Ricardo Mones Lastra,
		Flammie Pirinen, Pader Rezso, Ralph Young

2007-08-16 [paul]	0.15.1cvs5

	* configure.ac
		use pkgconfig to check for gtk and glib

2007-07-23 [colin]	0.15.1cvs4

	* src/gtkhtml2_viewer.c
		Fix license

2007-07-11 [colin]	0.15.1cvs3

	* COPYING
	* src/gettext.h
	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_prefs.h
	* src/gtkhtml2_viewer.c
		Upgrade to GPLv3 or later

2007-07-07 [paul]	0.15.1cvs2

	* po/fi.po
		updated by Flammie Pirinen

2007-07-03 [colin]	0.15.1cvs1

	* po/zh_CN.po
		Fix msgfmt error

2007-07-03 [paul]	0.15.1

	0.15.1 released

2007-07-03 [paul]	0.15.0cvs3

	* configure.ac
	* po/zh_CN.po
		added by Ralgh Young
	* po/hu.po
		updated by Pader Rezso

2007-06-21 [colin]	0.15.0cvs2

	* src/gtkhtml2_viewer.c
		Update plugin API
		Fix crash caused by 0.15.0cvs1
		Fix display of images when offline, but
		they're in cache

2007-06-20 [colin]	0.15.0cvs1

	* src/gtkhtml2_viewer.c
		Fix blinking of the last viewed html part

2007-04-16 [paul]	0.15.0

	0.15 released

2007-04-16 [paul]	0.14.2cvs11

	* po/ca.po
	* po/es.po
	* po/hu.po
	* po/pt_BR.po
	* po/sr.po
		updated by Miquel Oliete, Ricardo Mones Lastra,
		Pader Rezso, Frederico Goncalves Guimaraes, and
		Aleksandar Urosevic

2007-04-07 [colin]	0.14.2cvs10

	* src/gtkhtml2_viewer.c
		Don't translate mime-type, thanks to 
		Pascal Terjan

2007-03-21 [colin]	0.14.2cvs9

	* src/gtkhtml2_viewer.c
		Fix busy cursor after cancelling load

2007-03-21 [wwp]	0.14.2cvs8

	* configure.ac
		Bumped up the minimal Claws-Mail version this
		plugin requires.

2007-03-21 [wwp]	0.14.2cvs7

	* src/gtkhtml2_viewer.c
		Reflect changes to the log API (2.8.1cvs30).

2007-03-15 [colin]	0.14.2cvs6

	* src/gtkhtml2_viewer.c
		Implement backward search

2007-03-15 [colin]	0.14.2cvs5

	* src/gtkhtml2_viewer.c
		And don't break in an infinite loop if searching
		for 'x'

2007-03-15 [colin]	0.14.2cvs4

	* src/gtkhtml2_viewer.c
		Add message search implementation
		(TODO: backward search)

2007-03-13 [colin]	0.14.2cvs3

	* src/gtkhtml2_viewer.c
		Revert previous patch for now. It crashes on interrupted
		load.

2007-03-12 [colin]	0.14.2cvs2

	* src/gtkhtml2_viewer.c
		Fix timeout handling. Patch by Pawel Pekala

2007-03-02 [colin]	0.14.2cvs1

	* src/gtkhtml2_viewer.c
		Set busy cursor when loading URLs

2007-02-26 [paul]	0.14.2

	0.14.2 released

2007-02-26 [paul]	0.14.1cvs3

	* configure.ac
	* po/ca.po
		add Catalan translation by Miquel Oliete
	* po/de.po
	* po/es.po
	* po/fi.po
	* po/hu.po
	* po/pl.po
	* po/pt_BR.po
		updated by Stephan Sachse, Ricardo Mones Lastra,
		Flammie Pirinen, Pader Rezso, Pawel Pekala,
		and Frederico Goncalves Guimaraes

2007-02-17 [colin]	0.14.1cvs2

	* src/gtkhtml2_viewer.c
		Reset noticeview's icon to warning

2007-01-21 [colin]	0.14.1cvs1

	* po/hu.po
	* configure.ac
		Add Hungarian translation by
		Pader Rezso <rezso@rezso.net>

2007-01-15 [paul]	0.14.1

	0.14.1 released

2007-01-13 [colin]	0.14.0cvs1

	* src/gtkhtml2_viewer.c
		Scroll back to top when clearing viewer
		Patch by Pawel

2007-01-09 [paul]	0.14.0

	0.14.0 released

2007-01-09 [paul]	0.13.0cvs3

	* configure.ac
	* po/it.po
		translation added by Andrea Spadaccini
	* po/es.po
	* po/fi.po
		updated by Ricrado Mones Lastra and
		Tommi Pirinen

2007-01-08 [colin]	0.13.0cvs2

	* src/gtkhtml2_viewer.c
		Inject charset even if there's no <head>
		section (in which case inject <head> too)

2006-12-15 [ticho]	0.13.0cvs1

	* configure.ac
	* src/gtkhtml2_viewer.c
		Use check_plugin_version() for version check.

2006-12-04 [paul]	0.13.0

	0.13 released

2006-11-28 [paul]	0.12.0cvs8

	* configure.ac
		bump required version of Claws
		following renaming
		Thanks to Charles Edwards for the
		reminder

2006-11-27 [paul]	0.12.0cvs7

	* debian/README.Debian
	* src/gtkhtml2_viewer.c
		renaming

2006-11-17 [wwp]	0.12.0cvs6

	* src/gtkhtml2_viewer.c
		Fix my previous commit, missing an #include to defs.

2006-11-17 [wwp]	0.12.0cvs5

	* src/gtkhtml2_viewer.c
		Don't use a hardcoded plugin URI as it's in defs.

2006-11-09 [colin]	0.12.0cvs4

	* src/gtkhtml2_viewer.c
		Fix an possibly unitialised variable

2006-11-08 [paul]	0.12.0cvs3

	* src/gtkhtml2_viewer.c
		update Claws Mail url

2006-11-07 [colin]	0.12.0cvs2

	* src/gtkhtml2_viewer.c
		Fix anchors links

2006-11-07 [paul]	0.12.0cvs1

	* ChangeLog
	* configure.ac
	* debian/README.Debian
	* debian/changelog
	* debian/control
	* debian/copyright
	* debian/files
	* debian/rules
	* src/Makefile.am
	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_prefs.h
	* src/gtkhtml2_viewer.c
		Name change

2006-11-07 [paul]	0.12.0

	0.12.0 released

2006-11-07 [paul]	0.11.0cvs3

	* po/de.po
	* po/fr.po
	* po/pt_BR.po
	* po/sk.po
		updated by Stephan Sachse, Fabien Vantard,
		Frederico Goncalves Guimaraes, and Andrej
		Kacian

2006-10-31 [colin]	0.11.0cvs2

	* src/gtkhtml2_viewer.c
		Fix bug 1047, 'CURLOPT_MUTE removed in
		libcurl 7.16.0' (it was deprecated)

2006-09-25 [colin]	0.11.0cvs1

	* src/gtkhtml2_viewer.c
		Finally put back contextual menu on links
		Sorry for the multiple freezes breaks -;)

2006-09-25 [paul]	0.11.0

	0.11.0 released

2006-09-25 [colin]	0.10.2cvs26

	* src/gtkhtml2_viewer.c
		Now you see me, now you don't... Oops.

2006-09-25 [colin]	0.10.2cvs25

	* src/gtkhtml2_viewer.c
		Put back 0.10.2cvs21 (contextual menu on links)

2006-09-25 [paul]	0.10.2cvs24

	* configure.ac
	* po/de.po	** NEW **
	* po/es.po
	* po/fi.po	** NEW **
	* po/fr.po
	* po/pt_BR.po
	* po/sk.po	** NEW **
	* po/sr.po	** NEW **
		added/updated by Stephan Sachse, Ricardo Mones Lastra,
		Flammie Pirinen, Fabien Vantard, Frederico Goncalves
		Guimaraes, Andrej Kacian, and Aleksandar Urosevic

2006-09-22 [ticho]	0.10.2cvs23

	* configure.ac
		Update required claws-mail version to 2.4.0.200.

2006-09-18 [colin]	0.10.2cvs22

	* src/gtkhtml2_viewer.c
		Revert latest-commit (breaking string freeze, oops!)

2006-09-18 [colin]	0.10.2cvs21

	* src/gtkhtml2_viewer.c
		Popup contextual menu when right-clicking links

2006-09-12 [colin]	0.10.2cvs20

	* src/gtkhtml2_viewer.c
		Fix compilation without libcurl

2006-09-11 [wwp]	0.10.2cvs19

	* src/gtkhtml2_viewer.c
		gettext-ize more strings (plugin error messages).

2006-09-10 [paul]	0.10.2cvs18

	* src/gtkhtml2_viewer.c
		fix compilation warnings

2006-09-09 [colin]	0.10.2cvs17

	* src/gtkhtml2_viewer.c
		Implement zooming via Control+mouse wheel 

2006-09-09 [colin]	0.10.2cvs16

	* src/gtkhtml2_viewer.c
		Set minimum font size to our normal font size.
		Requires libgtkhtml > 2.11.0 (for now, CVS
		checkout more recent than Sep 9, 2006, 18:00 UTC)

2006-09-04 [colin]	0.10.2cvs15

	* src/gtkhtml2_viewer.c
		Fix crash when closing an external messageview 
		during load

2006-09-01 [wwp]	0.10.2cvs14

	* commitHelper
		sync w/ commitHelper in claws-mail module:
		use CVSEDITOR env. var. if set.

2006-08-29 [colin]	0.10.2cvs13

	* src/gtkhtml2_viewer.c
		Valgrind fixes, implement scroll

2006-08-29 [paul]	0.10.2cvs12

	* .cvsignore
		remove references to pluginconfig.h(.in),
		the files ceased to exist

2006-08-28 [paul]	0.10.2cvs11

	* src/Makefile.am
	* src/gettext.h
	* src/gtkhtml2_viewer.c
		added missing gettext.h
		removed #include "pluginconfig.h"

2006-08-28 [paul]	0.10.2cvs10

	* configure.ac
	* po/Makefile.in.in
	* po/Makevars
	* po/POTFILES.in
	* po/fr.po
	* po/remove-potcdate.sin
	* src/Makefile.am
	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_viewer.c
		require autoconf 2.60, enabling building
		with gettext 0.15 (gettext 0.14.x build still
		possible). Replace Makefiles with versions
		from gettext 0.15.
		Remove configure option --with-localedir. The
		option that is provided directly by autoconf
		2.60 can be used instead: --localedir
		Add missing files in po/
		All thanks to Colin

	* po/fr.po
		updated by Colin

2006-08-27 [colin]	0.10.2cvs9

	* src/gtkhtml2_viewer.c
		Implement plugin_provides()

2006-08-23 [colin]	0.10.2cvs8

	* configure.ac
	* src/gtkhtml2_viewer.c
		Implement get_selection(), which will return
		the selected text

2006-08-21 [colin]	0.10.2cvs7

	* src/gtkhtml2_prefs.c
	* src/gtkhtml2_prefs.h
	* src/gtkhtml2_viewer.c
		Implement image cache

2006-08-18 [paul]	0.10.2cvs6

	* configure.ac
		bump up GLib and GTK+ minimum required versions,
		following Claws

2006-08-17 [colin]	0.10.2cvs5

	* src/gtkhtml2_viewer.c
		Don't verify certificate on https

2006-08-09 [colin]	0.10.2cvs4

	* src/gtkhtml2_viewer.c
		Don't wait for stuff loading if we're
		exiting. Requires SC 2.4.0cvs36

2006-08-09 [colin]	0.10.2cvs3

	* src/gtkhtml2_viewer.c
		- Implement non-blocking I/O (allows switching to 
		  another mail before images are loaded on the
		  current one
		- Add a NoticeView to tell there were images if
		  they weren't loaded for some reason
		Please test :)

2006-08-03 [colin]	0.10.2cvs2

	* src/gtkhtml2_viewer.c
		Use base href in <a> links too

2006-08-03 [colin]	0.10.2cvs1

	* src/gtkhtml2_viewer.c
		Handle base_url property as
		given by libgtkhtml2, for use in
		request_url callback. Why can't
		libgtkhtml2 handle it by itself
		is another question.

2006-08-02 [paul]	0.10.2

	0.10.2 released

2006-06-26 [colin]	0.10.1cvs2

	* src/gtkhtml2_viewer.c
		Let the scrolled window look like the
		normal textview (Thanks to Fabien)

2006-06-21 [colin]	0.10.1cvs1

	* configure.ac
		Fix missing pthread support

2006-06-12 [paul]	0.10.1

	0.10.1 released

2006-06-12 [paul]	0.10.0cvs4

	* po/Makefile.in.in
		fix autoconf warning

2006-06-12 [paul]	0.10.0cvs3

	* configure.ac
	* po/fr.po
		new translation, submitted by Fabien Vantard <fzzzzz@gmail.com>

2006-06-06 [wwp]	0.10.0cvs2

	* configure.ac
	* src/.cvsignore
	* src/plugin_version.h.in
	* src/gtkhtml2_viewer.c
		fix/unify/simplify autostuff, get rid of src/plugin_version.h{,.in} (use pluginconfig.h instead).

2006-06-03 [wwp]	0.10.0cvs1

	* commitHelper
	* PATCHSETS
	* configure.ac
		introducing commitHelper for plugins too.

2006-04-27 [colin] 	0.10

	* configure.ac
	* po/pl.po
		Polish translation
		Patch by Pawel Pekala.

2006-04-07 [colin] 	0.9

	* configure.ac
		Optionnaly handle --prefix.
		Patch by Pawel Pekala.

2006-04-06 [paul] 0.8

	* src/gtkhtml2_prefs.c
		fix namespace conflict. prefs_page is already 
		used (and non-static) by Dillo plugin.
		Thanks to Colin.

2006-03-16 [colin] 0.7

	* src/gtkhtml2_viewer.c
	* configure.ac
		Load inline images using Content-Location too
		Requires newer SC version

2006-03-15 [wwp] 0.6

	* src/gtkhtml2_viewer.c
		Use a better solution for timeouts (thanks to Colin)

2006-03-15 [colin] 0.5

	* src/gtkhtml2_viewer.c
		Load inline images (attached to the mail).
		Patch by Ivan Rayner <ivanr@sgi.com>

2006-03-14 [wwp] 0.3

	* src/gtkhtml2_viewer.c
		Properly init curl outside of any thread (thanks to Colin)

2006-02-13 [colin] 0.2

	* src/gtkhtml2_viewer.c
		Use correct Mimeview for statusbar
		Specify HTML charset if unspecified
